cURL
curl -X POST 'https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications/read' -H 'Content-Type: application/json' -H 'apikey: YOUR_API_KEY' -H 'secretkey: YOUR_SECRET_KEY' -d '{"notificationIds":["n_01","n_02"]}'await fetch('https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications/read',{method:'POST',headers:{'Content-Type':'application/json',apikey:'YOUR_API_KEY',secretkey:'YOUR_SECRET_KEY'},body:JSON.stringify({notificationIds:['n_01','n_02']})});import requests
requests.post('https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications/read', json={'notificationIds':['n_01','n_02']}, headers={'apikey':'YOUR_API_KEY','secretkey':'YOUR_SECRET_KEY','Content-Type':'application/json'})using System.Net.Http; using System.Text;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("apikey", "YOUR_API_KEY");
client.DefaultRequestHeaders.Add("secretkey", "YOUR_SECRET_KEY");
var content = new StringContent("{\"notificationIds\":[\"n_01\",\"n_02\"]}", Encoding.UTF8, "application/json");
var res = await client.PostAsync("https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications/read", content);
res.EnsureSuccessStatusCode();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/notifications/read"
payload := strings.NewReader("{\n \"notificationIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("apikey", "<api-key>")
req.Header.Add("secretkey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php\n$ch = curl_init('https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications/read');\n$payload = json_encode(['notificationIds'=>['n_01','n_02']]);\ncurl_setopt_array($ch, [CURLOPT_POST=>true, CURLOPT_HTTPHEADER => ['Content-Type: application/json','apikey: YOUR_API_KEY','secretkey: YOUR_SECRET_KEY'], CURLOPT_POSTFIELDS => $payload, CURLOPT_RETURNTRANSFER => true]);\n$resp = curl_exec($ch);\n?>HttpResponse<String> response = Unirest.put("https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/notifications/read")
.header("apikey", "<api-key>")
.header("secretkey", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"notificationIds\": [\n \"<string>\"\n ]\n}")
.asString();{
"success": true,
"message": "<string>"
}Mark Notifications Read
Mark specific notifications as read for a customer in Gameball by providing notification IDs.
PUT
/
api
/
v4.0
/
integrations
/
customers
/
{customerId}
/
notifications
/
read
cURL
curl -X POST 'https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications/read' -H 'Content-Type: application/json' -H 'apikey: YOUR_API_KEY' -H 'secretkey: YOUR_SECRET_KEY' -d '{"notificationIds":["n_01","n_02"]}'await fetch('https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications/read',{method:'POST',headers:{'Content-Type':'application/json',apikey:'YOUR_API_KEY',secretkey:'YOUR_SECRET_KEY'},body:JSON.stringify({notificationIds:['n_01','n_02']})});import requests
requests.post('https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications/read', json={'notificationIds':['n_01','n_02']}, headers={'apikey':'YOUR_API_KEY','secretkey':'YOUR_SECRET_KEY','Content-Type':'application/json'})using System.Net.Http; using System.Text;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("apikey", "YOUR_API_KEY");
client.DefaultRequestHeaders.Add("secretkey", "YOUR_SECRET_KEY");
var content = new StringContent("{\"notificationIds\":[\"n_01\",\"n_02\"]}", Encoding.UTF8, "application/json");
var res = await client.PostAsync("https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications/read", content);
res.EnsureSuccessStatusCode();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/notifications/read"
payload := strings.NewReader("{\n \"notificationIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("apikey", "<api-key>")
req.Header.Add("secretkey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php\n$ch = curl_init('https://api.gameball.co/api/v4.0/integrations/customers/12345/notifications/read');\n$payload = json_encode(['notificationIds'=>['n_01','n_02']]);\ncurl_setopt_array($ch, [CURLOPT_POST=>true, CURLOPT_HTTPHEADER => ['Content-Type: application/json','apikey: YOUR_API_KEY','secretkey: YOUR_SECRET_KEY'], CURLOPT_POSTFIELDS => $payload, CURLOPT_RETURNTRANSFER => true]);\n$resp = curl_exec($ch);\n?>HttpResponse<String> response = Unirest.put("https://api.gameball.co/api/v4.0/integrations/customers/{customerId}/notifications/read")
.header("apikey", "<api-key>")
.header("secretkey", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"notificationIds\": [\n \"<string>\"\n ]\n}")
.asString();{
"success": true,
"message": "<string>"
}This API allows you to mark specific notifications as read for a customer in Gameball, identified by
customerId. By providing notification IDs, you can update the read status of individual notifications.
Security: Requires apikey and secretkey headers.
Was this page helpful?
⌘I